/************************/
/* PRODUCT DETAIL SECTION */
/************************/
.section-product-detail {
  padding: 9rem 0 9.6rem 0;
}
/* Base width 130rem */
.product-detail {
  max-width: 130rem;
  margin: 0 auto;
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  gap: 10rem;
}
/* (base 130 - gap 10) / 2 = 60 */
.product-content-detail,
.product-content-cover-photo img {
  max-width: 60rem;
}
.product-content-detail-review {
  display: flex;
  font-size: 2rem;
  gap: 6rem;
}
/* (base 130 - gap 10) / 2 = 60 */
.horizontal-line {
  margin: 4rem 0;
  width: 60rem;
}
.product-content-detail-price-model {
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  font-size: 2rem;
  gap: 6rem;
}
/* (detail 60 - gap 6) / 2 = 27 */
.product-content-detail-price,
.product-content-detail-model {
  max-width: 27rem;
}
.product-content-detail-price {
  font-size: 4rem;
}
/* (detail 60 - gap 6) / 2 = 27 */
.product-content-detail-model select {
  padding: 1rem;
  width: 27rem;
}
.product-content-detail-brief {
  font-size: 2rem;
}
.horizontal-line-20rem {
  margin: 4rem 0;
  width: 20rem;
}
.product-content-detail-add-to-cart-btn {
  padding: 2rem 6rem;
}

/************************/
/* SIMILAR PRODUCT SECTION */
/************************/

.section-similar-product {
  padding: 8rem 0 9.6rem 0;
}

.similar-product {
  max-width: 130rem;
  margin: 0 auto;
}
.similar-product-text-box {
  text-align: center;
}

.gallery-content {
  display: grid;
  grid-template-columns: repeat(3, 1fr);
  gap: 6rem;
}

.gallery-card {
  margin: 0 auto;
  display: grid;
  grid-template-columns: 1fr 1fr;
  align-items: center;
  gap: 2rem;
}
.gallery-card img {
  max-width: 16rem;
}
.gallery-card-detail {
  display: flex;
  flex-direction: column;
  gap: 2.2rem;
  font-size: 2.6rem;
}

/************************/
/* REVIEWS SECTION */
/************************/

.section-product-reviews {
  padding: 8rem 0 9.6rem 0;
}

.product-reviews {
  max-width: 130rem;
  margin: 0 auto;
}

.product-reviews-detail {
  display: grid;
  grid-template-columns: 1fr 2fr;
  gap: 6rem;
  align-items: center;
}
.product-reviews-customer {
  display: grid;
  grid-template-columns: 1fr 2fr;
  align-items: center;
  font-size: 2rem;
}
.product-reviews-customer-avatar {
  max-width: 10rem;
}
.product-reviews-customer-detail {
  display: flex;
  flex-direction: column;
  gap: 2rem;
}
.product-reviews-customer-name {
  text-transform: uppercase;
  font-weight: 500;
}
.product-reviews-customer-comment {
  font-size: 2rem;
  line-height: 3.8rem;
}

/* 1rem = 1em = 16px */

/************************/
/* BELOW 1400px (Reduce Some Sizes, Above 1200px) */
/************************/

@media (max-width: 87.5em) {
}

/************************/
/* BELOW 1200px (Large devices, Above 992px) */
/************************/

@media (max-width: 75em) {
  .product-detail,
  .similar-product,
  .product-reviews {
    max-width: 120rem;
  }
  .product-detail {
    gap: 8rem;
  }
  /* (base 120 - gap 8) / 2 = 56 */
  .product-content-detail,
  .product-content-cover-photo img {
    max-width: 56rem;
  }
  /* (base 120 - gap 8) / 2 = 56 */
  .horizontal-line {
    margin: 4rem 0;
    width: 56rem;
  }
  .product-content-detail-price-model {
    gap: 5rem;
  }
  /* (detail 56 - gap 5) / 2 = 25.5 */
  .product-content-detail-price,
  .product-content-detail-model {
    max-width: 25.5rem;
  }
  /* (detail 56 - gap 5) / 2 = 25.5 */
  .product-content-detail-model select {
    width: 25.5rem;
  }
}

/************************/
/* BELOW 992px (Medium devices, Above 768px) */
/************************/

@media (max-width: 62em) {
  .product-detail,
  .similar-product,
  .product-reviews {
    width: 100rem;
  }
  .product-detail {
    gap: 6rem;
  }
  /* (base 100 - gap 6) / 2 = 46 */
  .product-content-detail,
  .product-content-cover-photo img {
    max-width: 46rem;
  }
  /* (base 100 - gap 6) / 2 = 46 */
  .horizontal-line {
    margin: 2rem 0;
    width: 46rem;
  }
  .product-content-detail-price-model {
    gap: 5rem;
  }
  /* (detail 56 - gap 5) / 2 = 25.5 */
  .product-content-detail-price,
  .product-content-detail-model {
    max-width: 25.5rem;
  }
  /* (detail 56 - gap 5) / 2 = 25.5 */
  .product-content-detail-model select {
    width: 25.5rem;
  }
  .horizontal-line-20rem {
    margin: 2rem 0;
  }

  .gallery-card img {
    max-width: 14rem;
  }
  .gallery-card-detail {
    font-size: 2.2rem;
  }

  .product-reviews-customer {
    gap: 1.4rem;
    font-size: 1.8rem;
  }
}

/************************/
/* BELOW 768px (Medium devices, Above 576px) */
/************************/

@media (max-width: 48em) {
  .product-detail,
  .similar-product,
  .product-reviews {
    width: 80rem;
  }
  .product-detail {
    gap: 2rem;
  }
  /* (base 80 - gap 2) / 2 = 39 */
  .product-content-detail,
  .product-content-cover-photo img {
    max-width: 39rem;
  }
  /* (base 80 - gap 2) / 2 = 39 */
  .horizontal-line {
    margin: 2rem 0;
    width: 39rem;
  }
  .product-content-detail-price-model {
    gap: 2rem;
  }
  /* (detail 39 - gap 2) / 2 = 18.5 */
  .product-content-detail-price,
  .product-content-detail-model {
    max-width: 18.5rem;
  }
  /* (detail 39 - gap 2) / 2 = 18.5 */
  .product-content-detail-model select {
    width: 18.5rem;
    font-size: 2rem;
  }
  .horizontal-line-20rem {
    margin: 2rem 0;
  }

  .gallery-card {
    grid-template-columns: 1fr;
  }
  /* (base 80 - (gap 6 * 2)) / 3 = 22.66 */
  .gallery-card img {
    max-width: 22.66rem;
  }
  .gallery-card-detail {
    font-size: 3rem;
    align-items: center;
  }

  .product-reviews-customer {
    gap: 1.4rem;
    font-size: 1.8rem;
  }
  .product-reviews-customer-comment {
    line-height: 3rem;
  }
}

/************************/
/* BELOW 576px (Small devices, Above 280px) */
/************************/

@media (max-width: 36em) {
  .product-detail,
  .similar-product,
  .product-reviews {
    width: 50rem;
  }
  .product-detail {
    grid-template-columns: 1fr;
    justify-items: center;
  }
  .product-content-detail-review,
  .product-content-detail-brief {
    font-size: 3rem;
  }

  .gallery-card img {
    max-width: 40rem;
  }

  .gallery-content,
  .product-reviews-detail {
    grid-template-columns: 1fr;
  }
  .product-reviews-customer-detail,
  .product-reviews-customer-comment {
    font-size: 3rem;
  }
  .product-reviews .horizontal-line-20rem {
    margin: 6rem 0;
  }
}
